## helma.util
Class Timer

    java.lang.Object
      helma.util.Timer

    public class Timer

extends java.lang.Object

Utility class for timing a series of events

Constructor Summary
`Timer()` Creates a new Timer object.

Method Summary
`void` `beginEvent(java.lang.String name)`
`void` `dump(java.io.PrintStream out)`
`void` `endEvent(java.lang.String name)`
`void` `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Timer

    public Timer()

  Creates a new Timer object.

Method Detail

### reset

    public void reset()

### beginEvent

    public void beginEvent(java.lang.String name)

  Parameters:
    `name` - ...

### endEvent

    public void endEvent(java.lang.String name)

  Parameters:
    `name` - ...

### dump

    public void dump(java.io.PrintStream out)

  Parameters:
    `out` - ...

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.